Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2670623002: Reland of Linux UI: Switch to the Gtk3 theme (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months, 3 weeks ago by Tom (Use chromium acct)
Modified:
3 months ago
CC:
chromium-reviews, grt+watch_chromium.org, pennymac+watch_chromium.org, Michael Moss, wfh+watch_chromium.org, Elliot Glaysher, sky, Lei Zhang, Dirk Pranke
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Linux UI: Switch to the Gtk3 theme Sets "use_gtk3 = true" by default. BUG=79722 TBR=dpranke@chromium.org CQ_INCLUDE_TRYBOTS=master.tryserver.chromium.linux:linux_chromium_msan_rel_ng;master.tryserver.chromium.linux:linux_chromium_dbg_32_ng > > Review-Url: https://codereview.chromium.org/2670623002 > > Cr-Commit-Position: refs/heads/master@{#452118} > > Committed: https://chromium.googlesource.com/chromium/src/+/872a494bba52e597388aec738d9d681183a3d47b > Review-Url: https://codereview.chromium.org/2670623002 > Cr-Commit-Position: refs/heads/master@{#454491} > Committed: https://chromium.googlesource.com/chromium/src/+/89be63a39b5014096115d3ec60d13fde39e73283 Review-Url: https://codereview.chromium.org/2670623002 Cr-Original-Commit-Position: refs/heads/master@{#455596} Committed: https://chromium.googlesource.com/chromium/src/+/072522801041708fba94498a1844cb89f24d4590 Review-Url: https://codereview.chromium.org/2670623002 Cr-Commit-Position: refs/heads/master@{#458263} Committed: https://chromium.googlesource.com/chromium/src/+/0ff8b19608421be5fa5b53e90c097e4992723b90

Patch Set 1 #

Patch Set 2 : Rebase #

Patch Set 3 : Only enable on 64-bit builds #

Unified diffs Side-by-side diffs Delta from patch set Stats (+14 lines, -11 lines) Patch
M build/config/linux/gtk/gtk.gni View 1 2 1 chunk +5 lines, -2 lines 0 comments Download
M chrome/installer/linux/debian/expected_deps_x64_jessie View 1 2 chunks +4 lines, -4 lines 0 comments Download
M chrome/installer/linux/debian/expected_deps_x64_wheezy View 2 chunks +3 lines, -3 lines 0 comments Download
M chrome/installer/linux/rpm/expected_deps_x86_64 View 1 chunk +2 lines, -2 lines 0 comments Download
Trybot results:  chromium_presubmit   chromium_presubmit   linux_chromium_dbg_32_ng   chromeos_amd64-generic_chromium_compile_only_ng   linux_chromium_tsan_rel_ng   linux_chromium_msan_rel_ng   chromium_presubmit   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_rel_ng   android_arm64_dbg_recipe   android_clang_dbg_recipe   cast_shell_linux   android_n5x_swarming_rel   linux_android_rel_ng   linux_chromium_asan_rel_ng   mac_chromium_compile_dbg_ng   win_chromium_compile_dbg_ng   win_chromium_rel_ng   linux_chromium_dbg_32_ng   linux_chromium_msan_rel_ng   linux_chromium_compile_dbg_ng   win_chromium_x64_rel_ng   ios-simulator-xcode-clang   ios-device   ios-device-xcode-clang   mac_chromium_rel_ng   ios-simulator   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   win_clang   chromium_presubmit   cast_shell_linux   android_clang_dbg_recipe   android_cronet   chromeos_daisy_chromium_compile_only_ng   linux_chromium_chromeos_ozone_rel_ng   linux_android_rel_ng   linux_chromium_asan_rel_ng   linux_chromium_chromeos_rel_ng   android_arm64_dbg_recipe   cast_shell_android   android_n5x_swarming_rel   chromeos_amd64-generic_chromium_compile_only_ng   android_compile_dbg   chromium_presubmit   ios-simulator   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-device-xcode-clang   mac_chromium_compile_dbg_ng   win_clang   linux_chromium_tsan_rel_ng   ios-device   ios-simulator   linux_chromium_msan_rel_ng   linux_chromium_dbg_32_ng   ios-simulator-xcode-clang   win_chromium_rel_ng   linux_chromium_rel_ng   chromium_presubmit   linux_chromium_asan_rel_ng   android_n5x_swarming_rel   chromeos_amd64-generic_chromium_compile_only_ng   android_cronet   android_clang_dbg_recipe   linux_chromium_compile_dbg_ng   linux_android_rel_ng   linux_chromium_chromeos_ozone_rel_ng   cast_shell_android   cast_shell_linux   android_compile_dbg   linux_chromium_chromeos_rel_ng   android_arm64_dbg_recipe   chromeos_daisy_chromium_compile_only_ng 
Commit queue not available (can’t edit this change).

Messages

Total messages: 100 (77 generated)
Tom (Use chromium acct)
erg@: I think we're almost ready to make the switch. Just need your approval and ...
4 months, 3 weeks ago (2017-02-01 23:19:41 UTC) #1
Elliot Glaysher
lgtm and good luck!
4 months, 3 weeks ago (2017-02-01 23:44:57 UTC) #3
Tom (Use chromium acct)
+mmoss for expected_deps_* +sky and estade fyi
4 months, 1 week ago (2017-02-14 22:21:50 UTC) #29
Evan Stade
On 2017/02/14 22:21:50, Tom Anderson wrote: > +mmoss for expected_deps_* > +sky and estade fyi ...
4 months, 1 week ago (2017-02-14 22:23:39 UTC) #30
Michael Moss
lgtm
4 months, 1 week ago (2017-02-14 23:07:49 UTC) #31
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2670623002/1
4 months ago (2017-02-22 17:17:09 UTC) #43
commit-bot: I haz the power
Try jobs failed on following builders: chromium_presubmit on master.tryserver.chromium.linux (JOB_FAILED, http://build.chromium.org/p/tryserver.chromium.linux/builders/chromium_presubmit/builds/370230)
4 months ago (2017-02-22 17:25:46 UTC) #45
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2670623002/1
4 months ago (2017-02-22 17:37:25 UTC) #48
commit-bot: I haz the power
Committed patchset #1 (id:1) as https://chromium.googlesource.com/chromium/src/+/872a494bba52e597388aec738d9d681183a3d47b
4 months ago (2017-02-22 17:50:22 UTC) #51
fgorski
A revert of this CL (patchset #1 id:1) has been created in https://codereview.chromium.org/2711753004/ by fgorski@chromium.org. ...
4 months ago (2017-02-22 18:51:43 UTC) #52
Tom (Use chromium acct)
Relanding now that libgtk-3-0 has been installed on all bots. crbug.com/695541
3 months, 3 weeks ago (2017-03-03 02:52:21 UTC) #59
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2670623002/160001
3 months, 3 weeks ago (2017-03-03 02:53:10 UTC) #62
commit-bot: I haz the power
Committed patchset #2 (id:160001) as https://chromium.googlesource.com/chromium/src/+/89be63a39b5014096115d3ec60d13fde39e73283
3 months, 3 weeks ago (2017-03-03 03:12:42 UTC) #65
inferno
A revert of this CL (patchset #2 id:160001) has been created in https://codereview.chromium.org/2722313008/ by inferno@chromium.org. ...
3 months, 3 weeks ago (2017-03-03 17:15:33 UTC) #66
Tom (Use chromium acct)
Relanding only on 64-bit builds. crbug.com/699669 has been filed to install libgtk-3-0 on the 32-bit ...
3 months, 2 weeks ago (2017-03-08 23:18:48 UTC) #78
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2670623002/180001
3 months, 2 weeks ago (2017-03-08 23:19:55 UTC) #81
commit-bot: I haz the power
Committed patchset #3 (id:180001) as https://chromium.googlesource.com/chromium/src/+/072522801041708fba94498a1844cb89f24d4590
3 months, 2 weeks ago (2017-03-08 23:42:52 UTC) #84
Tom Anderson
A revert of this CL (patchset #3 id:180001) has been created in https://codereview.chromium.org/2754913002/ by thomasanderson@chromium.org. ...
3 months, 1 week ago (2017-03-16 17:50:54 UTC) #85
Tom (Use chromium acct)
On 2017/03/16 17:50:54, Thomas Anderson wrote: > A revert of this CL (patchset #3 id:180001) ...
3 months ago (2017-03-20 18:52:59 UTC) #87
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2670623002/180001
3 months ago (2017-03-20 18:53:51 UTC) #89
commit-bot: I haz the power
Try jobs failed on following builders: android_clang_dbg_recipe on master.tryserver.chromium.android (JOB_FAILED, https://build.chromium.org/p/tryserver.chromium.android/builders/android_clang_dbg_recipe/builds/231640) chromeos_amd64-generic_chromium_compile_only_ng on master.tryserver.chromium.linux (JOB_FAILED, ...
3 months ago (2017-03-20 19:19:53 UTC) #91
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2670623002/180001
3 months ago (2017-03-21 00:44:38 UTC) #97
commit-bot: I haz the power
3 months ago (2017-03-21 00:56:15 UTC) #100
Message was sent while issue was closed.
Committed patchset #3 (id:180001) as
https://chromium.googlesource.com/chromium/src/+/0ff8b19608421be5fa5b53e90c09...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cb946e318